=== debian/changelog ===
alkimia (8.1.92~git20250216.1e3f07ad-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream git snapshot (8.1.92~git20250216.1e3f07ad).
  * Update build-deps and deps with the info from cmake.
  * Use new team’s email address in the Maintainer field.
  * Update the list of installed files.
  * Fix -dev package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 20 Feb 2025 17:55:53 +0100

alkimia (8.1.92~git20250105.cc0f062a-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream git snapshot (8.1.92~git20250105.cc0f062a).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Adapt packaging to renamings for the Qt6 port.
  * Switch away from transitional pkg-config build dependency.
  * Switch to dh_qmldeps for runtime QML dependencies.
  * Update symbols from build for 8.1.92~git20250105.cc0f062a.
  * Bump Standards-Version to 4.7.0, no change required.
  * Rewrite copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Jan 2025 08:54:39 +0100
