=== plasma/applets/CMakeLists.txt ===
if(QT_MAJOR_VERSION GREATER 4)
    add_subdirectory(ForeignCurrencies)
else()
    add_subdirectory(onlinequote)
endif()
