=== tools/onlinequoteseditor/CMakeLists.txt ===
--- 
+++ 
@@ -68,3 +68,9 @@
 else()
     message(STATUS "Could not set up the appstream test. appstreamcli is missing.")
 endif()
+
+if(APPLE)
+    string(TIMESTAMP CURRENT_YEAR "%Y")
+    set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.alkimia")
+    set(MACOSX_BUNDLE_COPYRIGHT "2010-${CURRENT_YEAR} the alkimia authors")
+endif()
