=== debian/changelog ===
alkimia (8.2.1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/watch: Concat segments as suggested by uscan.
  * debian/libalkimia6-dev.install: Fix *-gdb.py file installation path.
  * debian/libalkimia6-8.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Nov 2025 13:54:03 -0500
