=== debian/control ===
Source: alkimia
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 0.0.11~),
               libgmp-dev,
               libkf6codecs-dev (>= 6.8.0~),
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6iconthemes-dev,
               libkf6newstuff-dev (>= 6.8.0~),
               libkf6textwidgets-dev,
               libkf6widgetsaddons-dev (>= 6.8.0~),
               libkf6xmlgui-dev,
               libplasma-dev,
               pkg-kde-tools (>= 0.5.0),
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/office/alkimia
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alkimia
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alkimia.git
Rules-Requires-Root: no

Package: alkimia-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Financial library - binaries
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Commandline binaries for the library.

Package: alkimia-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Financial library - data files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Support files for the library.

Package: libalkimia6-8
Architecture: any
Multi-Arch: same
Depends: alkimia-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
Recommends: alkimia-bin,
Description: Financial library common classes for KDE
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libalkimia6-8 (= ${binary:Version}),
         libgmp-dev,
         libkf6config-dev,
         qt6-base-dev,
         ${misc:Depends},
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

Package: plasma-widget-foreigncurrencies
Architecture: all
Multi-Arch: foreign
Depends: plasma-desktop,
         qml6-module-org-kde-alkimia6 (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
Description: Financial library - Currency Plasmoid
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Plasma Widget for foreign currencies.

Package: qml6-module-org-kde-alkimia6
Architecture: any
Multi-Arch: same
Depends: libalkimia6-8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Financial library - QML Module
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains the files for using Alkimia with QML.
