=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all buildinfo=+path
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6 -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=ON

override_dh_auto_test:
	- xvfb-run dh_auto_test --no-parallel

execute_after_dh_auto_install:
	# delete extra license files
	find debian/tmp -name LICENSE -print -delete
	# delete extra README files
	find debian/tmp -name README -print -delete
