=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/alkimia/([\d.]+)/alkimia@ANY_VERSION@@ARCHIVE_EXT@
